<!DOCTYPE html>
<html lang="en">

<head>
    <title>task 41.10 Filter Users</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <link rel="stylesheet" href="plugins/select2/css/select2.min.css">
    <link rel="stylesheet" href="plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css">
    <link rel="stylesheet" href="dist/css/adminlte.min.css">
    <style>
        .pointer {
            cursor: pointer;
        }
    </style>

    <!-- Import Datatable sau jquery -->
    <!-- Import them style bootstrap cho datatable -->
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
    <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>

    <script src="function.js"></script>
</head>

<body>
    <div class="container">
        <div class="row">
            <div class="col-sm-12">
                <h2 style="text-align: center;">Danh sách đơn hàng</h2>
            </div>
        </div><br><br>
        <div class="row">
            <div class="col-sm-12">
                <div class="row">
                    <div class="col-sm-5">
                        <div class="row">
                            <div class="col-sm-3">
                                <label>Trạng thái Order</label>
                            </div>
                            <div class="col-sm-9">
                                <select class="form-control select2" style="width: 100%;" id="select-status">
                                    <option value="all">All</option>
                                    <option value="open">Open</option>
                                    <option value="confirmed">Confirmed</option>
                                    <option value="cancel">Cancel</option>
                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-5">
                        <div class="row">
                            <div class="col-sm-3">
                                <label>Loại Pizza</label>
                            </div>
                            <div class="col-sm-9">
                                <select class="form-control select2" style="width: 100%;" id="select-pizza-type">
                                    <option value="all">All</option>
                                    <option value="hawaii">HaWaii</option>
                                    <option value="bacon">Bacon</option>
                                    <option value="seafood">Seafood</option>
                                </select>
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-2">
                        <button class="btn btn-success" id="btn-filter">Lọc dữ liệu</button>
                    </div>
                </div><br><br>
                <div class="row">
                    <div class="col-sm-12">
                        <button class="btn btn-info" id="btn-insert-order">Insert Order</button>
                    </div>
                </div>
            </div>
        </div><br><br>
        <div class="row">
            <div class="col-sm-12 text-center">
                <table class="table table-bordered table-striped table-hover" id="user-table">
                    <thead>
                        <tr>
                            <th>Order ID</th>
                            <th>Kích thước Combo</th>
                            <th>Loại pizza</th>
                            <th>Nước uống</th>
                            <th>Thành tiền</th>
                            <th>Họ và tên</th>
                            <th>Số điện thoại</th>
                            <th>Trạng thái</th>
                            <th>Chi tiết</th>
                        </tr>
                </table>
            </div>
        </div>

    </div>

    <div id="order-modal" class="modal fade" tabindex="-1">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="h5-modal-title">Order Detail!!!</h5>
                    <button class="close" data-dismiss="modal">&times;</button>
                </div>
                <div class="modal-body">
                    <form>
                        <div class="form-group">
                            <label>order ID(mã đơn hàng):</label>
                            <input class="form-control" placeholder="..." id="inp-madonhang" disabled>
                        </div>
                        <div class="form-group">
                            <label>Có Combo:</label>
                            <select class="form-control" id="inp-combo" disabled>
                                <option>...</option>
                            </select>
                        </div>
                        <div class="form-group">
                            <label>Đường kính Pizza</label>
                            <input class="form-control" placeholder="..." id="inp-duongkinh" disabled>
                        </div>
                        <div class="form-group">
                            <label>Sườn nướng(miếng)</label>
                            <input class="form-control" placeholder="..." id="inp-suon" disabled>
                        </div>
                        <div class="form-group">
                            <label>Đồ uống</label>
                            <select class="form-control" id="inp-douong" disabled>
                                <option>...</option>
                            </select>
                        </div>
                        <div class="form-group">
                            <label>Số lượng nước uống</label>
                            <input class="form-control" placeholder="..." id="inp-soluongnuoc" disabled>
                        </div>
                        <div class="form-group">
                            <label>Voucher ID</label>
                            <input class="form-control" placeholder="..." id="inp-voucherid" disabled>
                        </div>
                        <div class="form-group">
                            <label>Loại pizza</label>
                            <input class="form-control" placeholder="..." id="inp-loaipizza" disabled>
                        </div>
                        <div class="form-group">
                            <label>Salad</label>
                            <input class="form-control" placeholder="..." id="inp-salad" disabled>
                        </div>
                        <div class="form-group">
                            <label>Thành tiền</label>
                            <input class="form-control" placeholder="..." id="inp-thanhtien" disabled>
                        </div>
                        <div class="form-group">
                            <label>Giảm giá</label>
                            <input class="form-control" placeholder="..." id="inp-giamgia" disabled>
                        </div>
                        <div class="form-group">
                            <label>Họ và tên</label>
                            <input class="form-control" placeholder="..." id="inp-hoten" disabled>
                        </div>
                        <div class="form-group">
                            <label>Email</label>
                            <input class="form-control" placeholder="..." id="inp-email" disabled>
                        </div>
                        <div class="form-group">
                            <label>Số điện thoại</label>
                            <input class="form-control" placeholder="..." id="inp-sdt" disabled>
                        </div>
                        <div class="form-group">
                            <label>Địa chỉ</label>
                            <input class="form-control" placeholder="..." id="inp-diachi" disabled>
                        </div>
                        <div class="form-group">
                            <label>Lời nhắn</label>
                            <input class="form-control" placeholder="..." id="inp-loinhan" disabled>
                        </div>
                        <div class="form-group">
                            <label>Trạng thái đơn hàng</label>
                            <select class="form-control" id="inp-trangthai">
                                <option value="open">Open</option>
                                <option value="cancel">Đã hủy</option>
                                <option value="confirmed">Đã xác nhận</option>
                            </select>
                        </div>
                        <div class="form-group">
                            <label>Ngày tạo đơn</label>
                            <input class="form-control" placeholder="..." id="inp-ngaytaodon" disabled>
                        </div>
                        <div class="form-group">
                            <label>Ngày cập nhật</label>
                            <input class="form-control" placeholder="..." id="inp-ngaycapnhat" disabled>
                        </div>

                    </form>
                </div>
                <div class="modal-footer">
                    <button class="btn btn-success confirmupdate">Update</button>
                    <button class="btn btn-secondary" id="btn-update-cancel" data-dismiss="modal">Cancel</button>
                </div>
            </div>
        </div>
    </div>

    <div>
        <div id="insert-order-modal" class="modal fade" tabindex="-1">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="h5-modal-title">Insert Order !!!</h5>
                        <button class="close" data-dismiss="modal">&times;</button>
                    </div>
                    <div class="modal-body">
                        <form>
                            <div class="form-group">
                                <label>Có Combo:</label>
                                <select class="form-control" id="inp-insert-combo">
                                    <option value="0">Chọn Combo</option>
                                    <option value="S">Small</option>
                                    <option value="M">Medium</option>
                                    <option value="L">Large</option>
                                </select>
                            </div>
                            <div class="form-group">
                                <label>Đường kính Pizza</label>
                                <input class="form-control" placeholder="..." id="inp-insert-duongkinh" disabled>
                            </div>
                            <div class="form-group">
                                <label>Sườn nướng(miếng)</label>
                                <input class="form-control" placeholder="..." id="inp-insert-suon" disabled>
                            </div>
                            <div class="form-group">
                                <label>Đồ uống</label>
                                <select class="form-control" id="inp-insert-douong">
                                    <option value="0">Chọn đồ uống</option>
                                </select>
                            </div>
                            <div class="form-group">
                                <label>Số lượng nước uống</label>
                                <input class="form-control" placeholder="..." id="inp-insert-soluongnuoc" disabled>
                            </div>
                            <div class="form-group">
                                <label>Voucher ID</label>
                                <input class="form-control" placeholder="..." id="inp-insert-voucherid" type="number">
                            </div>
                            <div class="form-group">
                                <label>Loại pizza</label>
                                <select class="form-control" id="inp-insert-loaipizza">
                                    <option value="0">Chọn loại Pizza</option>
                                    <option value="Seafood">Hải sản</option>
                                    <option value="Hawaii">Hawaii</option>
                                    <option value="Bacon">Thịt hun khói</option>
                                </select>
                            </div>
                            <div class="form-group">
                                <label>Salad</label>
                                <input class="form-control" placeholder="..." id="inp-insert-salad" disabled>
                            </div>
                            <div class="form-group">
                                <label>Thành tiền</label>
                                <input class="form-control" placeholder="..." id="inp-insert-thanhtien" disabled>
                            </div>
                            <div class="form-group">
                                <label>Giảm giá</label>
                                <input class="form-control" placeholder="..." id="inp-insert-giamgia" disabled>
                            </div>
                            <div class="form-group">
                                <label>Họ và tên</label>
                                <input class="form-control" placeholder="..." id="inp-insert-hoten">
                            </div>
                            <div class="form-group">
                                <label>Email</label>
                                <input class="form-control" placeholder="..." id="inp-insert-email">
                            </div>
                            <div class="form-group">
                                <label>Số điện thoại</label>
                                <input class="form-control" placeholder="..." id="inp-insert-sdt" type="number">
                            </div>
                            <div class="form-group">
                                <label>Địa chỉ</label>
                                <input class="form-control" placeholder="..." id="inp-insert-diachi">
                            </div>
                            <div class="form-group">
                                <label>Lời nhắn</label>
                                <input class="form-control" placeholder="..." id="inp-insert-loinhan">
                            </div>

                        </form>
                    </div>
                    <div class="modal-footer">
                        <button class="btn btn-success confirminsert">Confirm</button>
                        <button class="btn btn-secondary" id="btn-update-cancel" data-dismiss="modal">Cancel</button>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div>
        <div class="modal fade" tabindex="-1" id="delete-confirm-modal">
          <div class="modal-dialog">
            <div class="modal-content">
              <div class="modal-header">
                <h5 class="modal-title" id="h5-modal-title">Order Delete Confirmation</h5>
                <button class="close" data-dismiss="modal">&times;</button>
              </div>
              <div class="modal-body">
                <label>Bạn có chắc chắn muốn xóa order này không?</label>
              </div>
              <div class="modal-footer">
                <button class="btn btn-danger" id="btn-confirm-delete-order">Confirm</button>
                <button class="btn btn-secondary" data-dismiss="modal">Cancel</button>
              </div>
            </div>
          </div>
        </div>
      </div>


</body>
<!-- jQuery -->
<script src="plugins/jquery/jquery.min.js"></script>
<!-- Bootstrap 4 -->
<script src="plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
<!-- Select2 -->
<script src="plugins/select2/js/select2.full.min.js"></script>
<!-- AdminLTE App -->
<script src="dist/js/adminlte.js"></script>
<script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
<script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>
<script>
    $('.select2').select2({
        theme: 'bootstrap4'
    });
</script>

</html>